using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Inject;

[ComImport]
[InterfaceType(1)]
[Guid("829E0FB2-D0B5-4814-BCF9-6ECFA06C9AED")]
[SuppressUnmanagedCodeSecurity]
public interface ILayerSchema
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	void SchemaLoad([MarshalAs(UnmanagedType.Interface)] View pView, [MarshalAs(UnmanagedType.IUnknown)] object pXMLSchema);
}
